clang 10.0.0git

Classes | Namespaces | Functions
RefactoringAction.h File Reference
`#include "clang/Basic/LLVM.h"`
`#include "clang/Tooling/Refactoring/RefactoringActionRules.h"`
`#include <vector>`
Include dependency graph for RefactoringAction.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
class | clang::tooling::RefactoringAction
| A refactoring action is a class that defines a set of related refactoring action rules. More...

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::tooling

## Functions
std::vector< std::unique_ptr< RefactoringAction > > | clang::tooling::createRefactoringActions ()
| Returns the list of all the available refactoring actions. More...